[BAXI]
LogFilePrefix=baxilog
#LogFilePath can differ on basis of Operating System used. For example if OS is Linux set LogFilePath=/var/log/baxi.agent, and for windows set LogFilePath=C:\baxi\logfiles
LogFilePath=C:\ProgramData\NutidAB\PayAtTable\Baxilogs

# Tracelevel valid values:
# 0 - LOG_NEVER, no logging whatsoever, logfile not created.
# 1 - LOG_ERR, Only errors are logged
# 2 - LOG_TRACE, errors and trace 
# 3 - LOG_DEBUG, errors, trace and debug
# 4 - LOG_ALWAYS, all logging is enabled
TraceLevel=3
LogAutoDeleteDays=14

SerialDriver=Nets
#SerialDriver=Microsoft# File used to store reconcilliation data
#ReconcilliationReportFile=C:\baxi\logfiles\baxireconcilliation.log

[TERMINAL]
BaudRate=57600
# If ComPort is set to 0, this means that only DeviceString will be 
# used to find a port.  This means that if ComPort is 0, DeviceString
# must be filled in, or you get an Open reject reason of 7416 (PROPERTY_DEVICE_STRING)
ComPort=1
# If DeviceString is set, BAXI will first attempt a normal open on 
# the com port indicated.  If BAXI fails to open this com port, it will
# not indicate an error yet, but look for any COM port in the system
# that contains the DeviceString in its name.  If one or more of such
# com ports are found, BAXI will attempt to open them one by one.
# If open succeeds on one of them, it will assume that the terminal
# is on that port and continue on that port.  If none of the ports
# succeed with an open, BAXI reports an error.  After this, BAXI monitors
# the com port for removal and insertion.  One can insert into any usb
# port and obtain a new com port number.  BAXI will detect this and open
# the corresponding port to keep communications towards the terminal without
# having to restart BAXI.
# If DeviceString is not set, BAXI only monitors the removal/insertion
# of the com port number indicated in ComPort.
#DeviceString="SAGEM MONETEL USB Telium"
DeviceString="SAGEM Telium"
#DeviceString="Ingenico iST1xx"

# Checks if the attached terminal has rebooted and gives a warning
PowerCycleCheck=0

# Checks if the attached terminal has changed terminal id. Locks Baxi if TID mismatch!
TidSupervision=0

[HOST]
HostPort=9670
#Production VPN
#HostIpAddress=193.214.20.211

# Production Secure access
#HostIpAddress=91.102.24.142

#Test host
HostIpAddress=91.102.24.111

[DEVICEATTRIBUTES]
# VendorInfoExtended can be max 32 characters long. All four delimiters are mandatory.
VendorInfoExtended="NET;Baxi.Agent;1.7.0.0;Agent;"

# CutterSupport = 0 means no cutter support. 
# Any other value = cutter support
# Nb length of this field is 1 byte, should be set from ECR 
CutterSupport=1

#printerwidth should be set from ECR
#Set default value for Pay@Table
PrinterWidth=0
#Displaywidth should be set from ECR
DisplayWidth=20

#TerminalReady is used to signal that the terminal is reday for a new transaction
TerminalReady=1

#DisplayTextID will enable the Display Text with Unique Text ID
UseDisplayTextID=1

#UseExtendedLocalMode will enable ExtendedLocalMode
UseExtendedLocalMode=1

# UseJoinDisplayText will enable splitting Terminal lines into separate DisplayTexts
UseSplitDisplayText=0

# Use2KBuffer will enable 2k receive buffer in Baxi.
Use2KBuffer=1


[TCPIPSERVER]
# If BluetoothTunnel is set to 1, PCL Bluetooth connection over TCP/IP is used.
BluetoothTunnel=0
SocketListener=0
SocketListenerPort=6001
DelegateCommunication=1

# This is the timeout value in seconds for the keep alive messages between the ECR and ITU. The ECR will listen to the
# TCP connection as long as this timeout value is specified after a connection is broken between the ECR and ITU.
# A value of 0 means infinite timeout, while any integer value greater than 0 specified will mean a timeout of the
# corresponding number of seconds. Recommeded values should not be greater than 55 and not smaller than 7.
LinkControlTimeout=7

# Set to always receive the  total amount for financial transaction in extended local mode.
AlwaysUseTotalAmountInExtendedLM=1

#Behave for Loyalty cards, if PreventLoyaltyFromPurchase is 0 meaning Loyalty In Purchase request
#if PreventLoyaltyFromPurchase = 1 meaning Loyalty as separate request
#PreventLoyaltyFromPurchase is set to enable two new loyalty transaction type "Bonus Refund" and
#"Bonus" from ECR for PINS.
PreventLoyaltyFromPurchase=0

[MULTIINSTANCE]
# Set when running several baxi instances at the same time. If omitted, baxi will run single instance
UseMultiInstance=0
MultiInstanceConfigFile=C:\baxi\multi\multi.config
ClientID=ECR1

[MULTICURRENCY]
# Set when using multicurrency functionality(Several terminal profiles with different currencies)  
# MultiCurrencyPath defines the path where MultiCurrency is located. 
# If let blank default path is the location of baxi_dotnet.dll
# Set path with backslash at the end eg. c:\baxi\
UseMultiCurrency=0
MultiCurrencyPath=""

[PINBYPASS]
#Enable/Disable pin bypass functionality 
PinByPass=0

[StoreBox]
#Enable/Disable sending receipt to StoreBox
EnableStoreBox=0
StoreBoxAPIHost=https://api.storebox.com/api/receipt-receiver/v2/receipts
StoreBoxAuthToken=""

[SplitAcquiring]
#Enable/Disable SplitAcquiring
SplitAcquiring=0